using System;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using Microsoft.Surface.Presentation.Controls;

namespace SurfaceToolkit
{
	/// <summary>
	/// Interaction logic for SurfaceWindow1.xaml
	/// </summary>
	public partial class SurfaceWindow1 : SurfaceWindow
	{
		/// <summary>
		/// Default constructor.
		/// </summary>
		public SurfaceWindow1()
		{
			InitializeComponent();

		}

		private void SurfaceButton_Click(object sender, RoutedEventArgs e)
		{
			string[] files = Directory.GetFiles(@"C:\Users\Public\Pictures\Sample Pictures", "*.jpg");
			foreach(string file in files)
			{
				BitmapImage bi = new BitmapImage(new Uri(file));
				Image image = new Image();
				image.Source = bi;
				scatter.Items.Add(image);
			}

		}
	}
}